## gtk+3.0 3.12.2

=== debian/changelog ===
gtk+3.0 (3.12.2-0ubuntu15) utopic; urgency=medium

  * 0001-wayland-don-t-init-if-XDG_RUNTIME_DIR-missing.patch: Don't abort if
    XDG_RUNTIME_DIR is unset (for example try `env -i gedit').

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 Oct 2014 15:21:13 +0100

gtk+3.0 (3.12.2-0ubuntu14) utopic; urgency=medium

  * debian/patches/mir-backend.patch: 
    - trigger a warning when dealing with unknown mir types, rather 
      than returning with an assert. That way the Mir backend doesn't
      stop working on Mir updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Oct 2014 09:52:49 +0200

gtk+3.0 (3.12.2-0ubuntu13) utopic; urgency=medium

  * Revert part of the previous update and do a manual refresh of the 
    template instead, that's good enough for utopic and this way we 
    don't have to debug weird autotools issues
  * debian/patches/ubuntu_label_wrap_workaround.patch:
    - restore workaround for label wrapping issues, there are still
      some work needed on applications before that can be removed

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Oct 2014 16:33:03 +0200

gtk+3.0 (3.12.2-0ubuntu12) utopic; urgency=medium

  * debian/control, debian/rules:
   - update the translations tarball on build, dh_translations doesn't 
     work because the builddir != srcdir
  * debian/patches/ubuntu_translation_template.patch:
    - updated sources list for intltool-update to work, upstream doesn't
      dist some of the sources needed for that so we need to workaround
      until that's resolved properly there
      
  [ Dariusz Gadomski ]
  * debian/patches/git_printing_segfault.patch:
    - backport a fix for a print dialog segfault (lp: #445333) 

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Oct 2014 11:41:07 +0200

gtk+3.0 (3.12.2-0ubuntu11) utopic; urgency=medium

  * 0001-threads-Do-not-release-the-GDK-lock-if-it-hasn-t-bee.patch:
    Cherry-pick from upstream to work around abort() inside GLib occuring in
    applications that do not intialise GDK for threading right. (LP: #1374030)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 03 Oct 2014 17:25:56 +0100

gtk+3.0 (3.12.2-0ubuntu10) utopic; urgency=medium

  [ Lars Uebernickel ]
  * gtkaboutdialog-support-showing-buttons-in-action-are.patch:
    - mark button titles as translatable (lp: #1375979)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Oct 2014 17:36:18 +0200

gtk+3.0 (3.12.2-0ubuntu9) utopic; urgency=medium

  * Bump minimum version of gtk_print_backend_set_password due to addition of
    new boolean parameter.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 26 Sep 2014 15:31:53 +0100

gtk+3.0 (3.12.2-0ubuntu8) utopic; urgency=medium

  * debian/patches/use-secrets-service-for-cups-auth_info.patch
    - Stores auth_info in secrets service for printing (LP: #445333)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Thu, 25 Sep 2014 13:54:57 +0200

gtk+3.0 (3.12.2-0ubuntu7) utopic; urgency=medium

  * debian/patches/0001-Disable-deprecation-warnings-in-tests.patch
    debian/patches/0001-Fight-deprecation-warnings-in-test.patch: Don't run
    the testsuite with deprecation warnings. We want to test deprecated
    properties, and this currently causes FTBFS.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 18 Sep 2014 17:54:17 +0100

gtk+3.0 (3.12.2-0ubuntu6) utopic; urgency=medium

  * debian/control.in, debian/libgtk-3-0.symbols, debian/rules:
    - enable the mir backends only on architectures where mir is built

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 30 Jul 2014 19:08:26 +0200

gtk+3.0 (3.12.2-0ubuntu5) utopic; urgency=medium

  [ Lars Uebernickel ]
  * debian/patches/git_reftests-Improve-workaround-for-GtkGrid-bug.patch:
    - backport from master (lp: #1339495)

  [ Robert Ancell ]
  * debian/rules:
    - Export XDG_RUNTIME_DIR - some tests can fail without this (LP: #1342398)
    - Build with --enable-mir-backend
  * debian/control:
    - Build depend on libmirclient-dev
    - libgtk-3-dev depends on libmirclient-dev
  * debian/libgtk-3-0.symbols:
    - Updated
  * debian/patches/mir-backend.patch:
    - Add Mir backend

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Jul 2014 14:23:38 +1200

gtk+3.0 (3.12.2-0ubuntu4) utopic; urgency=medium

  * debian/patches/git-gtkpopover-set-background-and-popover-css.patch
    - backport from master (lp: #1329792, gnome: #731834)

 -- Lars Uebernickel <lars.uebernickel@ubuntu.com>  Wed, 18 Jun 2014 17:32:26 +0200

gtk+3.0 (3.12.2-0ubuntu3) utopic; urgency=medium

  [ Lars Uebernickel ]
  * Remove a11y-tests-disable-color-chooser-and-message-dialog-.patch:
    update title bar and message dialog patches with the proper fixes instead
  * Remove revert-fix-up-builder.patch: Dialogs have one child again:
    included in the title bar patch now

  [ William Hua ]
  * Take upstream git-menu-binding-emit-submenu-close-after-activate.patch:
    - Ensures that menu item activations occur before GMenuModel
      submenu-action state changes (LP: #1208019)

 -- William Hua <william.hua@canonical.com>  Tue, 17 Jun 2014 10:15:41 -0400

gtk+3.0 (3.12.2-0ubuntu2) utopic; urgency=medium

  * debian/patches/a11y-tests-disable-color-chooser-and-message-dialog-.patch:
    Disable these tests which fail.
  * debian/patches/revert-fix-up-builder.patch: Dialogs have one child again
    due to our patches to remove headerbars.
  * Build-Depend on gnome-icon-theme-symbolic, required for the tests.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 11 Jun 2014 16:28:09 +0100

gtk+3.0 (3.12.2-0ubuntu1) utopic; urgency=medium

  * Update, based on gnome3-staging work

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/control.in:
    - Bump build-deps on libglib2.0-dev (>= 2.39.5),
      gobject-introspection (>= 1.39.3)
  * debian/libgtk-3-0.symbols:
    - updated

  [ Lars Uebernickel ]
  * debian/patches/gtkdialog-don-t-use-csd-when-use-header-bar-is-FALSE.patch
    debian/patches/gtkaboutdialog-support-showing-buttons-in-action-are.patch

