## gtk+3.0 3.14.5

=== debian/changelog ===
gtk+3.0 (3.14.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/077_fix_menu_height_calculating.patch:
    + Dropped, merged upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Nov 2014 18:55:46 +0100

gtk+3.0 (3.14.4-2) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Install org.gtk.Settings.Debug.gschema.xml

  [ Dmitry Shachnev ]
  * debian/patches/077_fix_menu_height_calculating.patch: backport upstream
    commit to fix calculation of menu height (closes: #767906).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Nov 2014 17:19:48 +0300

gtk+3.0 (3.14.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Oct 2014 15:43:31 +0200

gtk+3.0 (3.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Install typelib files into multiarch paths.
  * Mark gir and dev package as Multi-Arch: same.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Oct 2014 23:35:40 +0200

gtk+3.0 (3.14.2-1) unstable; urgency=medium

  * New upstream release.
    - includes fix gtkbuilder fix for problems affecting libgweather
      users (like gnome-clocks, Closes: #764681)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 11 Oct 2014 15:12:08 +0200

gtk+3.0 (3.14.1-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Add debian/patches/reftest-known-fail.patch
    - make it possible to tag individual reftests as ok to fail.
  * debian/rules:
    touch testsuite/reftests/style-properties-nth-child.ui.known_fail
    - reftest shows this intermittently has a couple of pixels
      difference on some architectures. No big deal.
      Noone is willing to investigate and consensus is it's ok to disable.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Oct 2014 01:49:16 +0200

gtk+3.0 (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Sep 2014 22:25:42 +0200

gtk+3.0 (3.13.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 22:25:39 +0200

gtk+3.0 (3.13.9-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * libgtk-3-common: Depend on adwaita-icon-theme (>= ${gnome:Version})
    - gtk+ should guarantee we have atleast one sane icon theme available.
  * debian/rules: Include gnome-version.mk to generate ${gnome:Version}

  [ Emilio Pozuelo Monfort ]
  * New upstream development release.
  * debian/control.in:
    + Bump libpango1.0-dev minimum (build-)dependency.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 19 Sep 2014 17:37:42 +0200

gtk+3.0 (3.13.8-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream development release (3.13.7)
  * Update build-dependencies according to configure.ac
    - bump libglib2.0-dev to (>= 2.41.2)
  * Update libgtk-3.0-dev dependency on libglib2.0-dev to (>= 2.41.2)
  * Massage debian/patches/018_gdkenumtypes.c_location.patch to apply again
  * Drop backported/merged patches now in released version:
    - debian/patches/072_Avoid-pkg-config-atleast-version.patch
  * Have quilt refresh remaining patches.
  * Bump gobject-introspection build-dependency to (>= 1.41.3)
    - this one supports new "nullable" annotation.
  * Build-depend on adwaita-icon-theme instead of gnome-icon-theme-symbolic
  * Update debian/libgtk-3-0.symbols with many additions
  * New upstream development release (3.13.8)
  * Update build-dependencies according to configure.ac changes:
    - Bump libgdk-pixbuf2.0-dev to (>= 2.30.0)
    - Bump libwayland-dev to (>= 1.5.91)
  * debian/patches/032_mips_treeview_row_separator_height.patch:
    - massage the patch into applying again.
  * Update debian/libgtk-3-0.symbols
    - 4 dropped gdk_wayland_*_libgtk_only symbols, should be unused.
    - 3 new wayland related symbols

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 05 Sep 2014 22:50:11 +0200

gtk+3.0 (3.12.2-3) unstable; urgency=medium

  * Team upload
  * debian/missing-sources/zlib.js-0.1.6: add missing source code for
    gdk/broadway/rawinflate.min.js (Closes: #753968)
    - some files in zlib.js upstream had missing source code themselves
      (closure-compiler.jar) or are not needed here, and have been removed
      to save space; see debian/missing-sources/README for details
    - make debian/missing-sources/rawinflate.js a symlink into zlib.js-0.1.6
      to reassure lintian that source is present
  * d/p/073-Use-AC_USE_SYSTEM_EXTENSIONS-to-get-_GNU_SOURCE-_XOP.patch:
    define _GNU_SOURCE on non-Linux to fix "assignment makes pointer from
    integer without a cast" found by build-log scanning on kFreeBSD

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Aug 2014 15:26:50 +0100

gtk+3.0 (3.12.2-2) unstable; urgency=medium

  * Team upload

  [ Dmitry Shachnev ]
  * Autopkgtests fixes: add missing xauth dependency, and stop using
    deprecated GtkStock item.

  [ Simon McVittie ]
  * debian/patches/072_Avoid-pkg-config-atleast-version.patch:
    stop AM_PATH_GTK_3_0([3], [], [], [gthread]) trying to require
    gthread-2.0 >= 3, which doesn't exist (Closes: #756476)

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2014 17:26:57 +0100

gtk+3.0 (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 12:12:48 +0200

gtk+3.0 (3.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 16:44:41 +0200

gtk+3.0 (3.12.0-4) unstable; urgency=medium

  * Build-depend on gnome-icon-theme-symbolic and make test suite errors
    fatal again.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Apr 2014 19:45:56 +0200

gtk+3.0 (3.12.0-3) unstable; urgency=medium

  * debian/control.in:
    + Loosen the dependencies on libgtk-3-common from = ${source:Version}

