## gtk+3.0 3.14.12

=== debian/changelog ===
gtk+3.0 (3.14.12-0ubuntu2) vivid; urgency=medium

  * debian/patches/allow-overriding-WM_CLASS-from-the-command-line.patch:
    support --class even when the program calls gdk_set_program_class().
    Needed for gnome-terminal profile-as-app backwards compat (LP: #1443273)

 -- Lars Uebernickel <lars.uebernickel@ubuntu.com>  Mon, 13 Apr 2015 08:31:13 +0200

gtk+3.0 (3.14.12-0ubuntu1) vivid; urgency=medium

  * New upstream release 3.14.12, fixing bugs:
    + nautilus bookmarks changing places randomly
    + popover: Remove signal handlers in dispose
    + Fix unwanted transparency of drag icons
    + Revert "image: Optimize non-resize changes"
    + Avoid a crash in GtkApplication (LP: #1357791)
    + Avoid a crash with tree view rubberbanding
    + Make gtk-update-icon-cache more resilient
  * debian/patches/0001-GtkApplication-Prevent-more-crashes-around-shutdown.patch:
    Cherry-pick patch from the 3.14 branch to fix more crashes when shutting
    down GtkApplications. (LP: #1439026)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 10 Apr 2015 13:20:36 +0100

gtk+3.0 (3.14.11-0ubuntu2) vivid; urgency=medium

  * Patch from Steve Dodier-Lazaro (thanks!) to always return a value from
    gtk_menu_tracker_item_get_{menu_item,action_namespace}. (LP: #1439923)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 08 Apr 2015 17:28:36 +0100

gtk+3.0 (3.14.11-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release.
  * debian/patches/0001-gtkprogressbar-fix-size-allocation.patch: Respect
    style properties for progress bars.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 30 Mar 2015 12:12:32 +0100

gtk+3.0 (3.14.9-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    + GtkScrolledWindow
      - Avoid 'jumping' when zoom scrolling kicks in
      - Make zoom scrolling less easy to trigger
    + Bugs fixed:
      - avahi-discovered CUPS printers don't work
      - Wayland: Clients won't work on compositors that support wl_...
      - Tooltips should have ATK_ROLE_TOOL_TIP (like they did before)
      - quartz: Avoid segfaulting when calling gdk_window_ensure_native
      - Fix loading of GResource SVGs
      - Icon theme code assumes directories with mtime 0 don't exist
      - Fix crash and miscalculation in css bitmask manipulation
      - Fix a crash due to too large surfaces
      - Update on text scale factor changes

 -- Iain Lane <iain.lane@canonical.com>  Thu, 19 Mar 2015 19:00:26 +0000

gtk+3.0 (3.14.8-0ubuntu2) vivid; urgency=medium

  * debian/patches/message-dialog-restore-traditional-look-on-unity.patch:
    Don't show any icon for GTK_MESSAGE_OTHER message dialogs. Previously we
    were showing the "image missing" icon.
  * debian/patches/0001-Add-style-classes-to-the-title-buttons.patch:
    Cherry-pick upstream patch to add CSS classes to CSD windows' title
    buttons, which will allow us to theme them.
  * Install gtk-encode-symbolic-svg and gtk3-icon-browser into
    gtk-3-examples. They're useful for icon theme authors.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Mar 2015 13:09:06 +0000

gtk+3.0 (3.14.8-0ubuntu1) vivid; urgency=medium

  * Fallback icon themes are deprecated & ignored upstream, drop the patch and
    the setting in debian/settings.ini.
  * New upstream release.
    + Fixes XConvertSelection crashing GTK apps. (LP: #1395250)
  * 0001-Menu-items-force-loading-16x16-icons.patch,
    0002-gtkimagemenuitem-create-widget-for-action-icons-lazi.patch: Drop,
    applied in this release.
  * debian/patches/0001-css-Add-gtk-dpi-CSS-property-hack.patch,
    debian/patches/0002-css-use-pre-3.16-gtk_css_style_property_register.patch:
    Cherry-pick patches from upstream to fix apps responding to changes to the
    value of the org.gnome.desktop.interface text-scaling factor key. (LP:
    #1408212)
  * Bump version of a-i-t build-dep to get more icons required for reftests.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 09 Feb 2015 18:00:35 +0000

gtk+3.0 (3.14.7-0ubuntu3) vivid; urgency=medium

  * Put BD back to adwaita-icon-theme, appropriately versioned, as the icons
    have been moved from -full now. It's useful to use a-i-t instead of -full,
    so we can be sure that we have all of the necessary icons in this package.
  * Add a patch to force the reftests to run using Adwaita as the icon theme.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 Jan 2015 21:10:48 +0000

gtk+3.0 (3.14.7-0ubuntu2) vivid; urgency=medium

  [ William Hua ]
  * Fixes for menu bar issues in mir backend.

  [ Lars Uebernickel ]
  * d/p/0002-gtkimagemenuitem-create-widget-for-action-icons-lazi.patch:
    - Fix empty images next to menu items in GtkMenuBars

  [ Iain Lane ]
  * Build-Depend on adwaita-icon-theme-full, all icons needed for reftests.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 22 Jan 2015 18:00:38 +0000

gtk+3.0 (3.14.7-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release 3.14.7.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 12 Jan 2015 16:52:42 +0000

gtk+3.0 (3.14.6-0ubuntu1) vivid; urgency=medium

  [ Lars Uebernickel ]
  * New upstream release
  * debian/patches/0001-Disable-deprecation-warnings-in-tests.patch,
    debian/patches/0001-Fight-deprecation-warnings-in-test.patch,
    debian/patches/0001-threads-Do-not-release-the-GDK-lock-if-it-hasn-t-bee.patch,
    debian/patches/git-gtkpopover-set-background-and-popover-css.patch,
    debian/patches/git-menu-binding-emit-submenu-close-after-activate.patch,
    debian/patches/git_printing_segfault.patch,
    debian/patches/git_reftests-Improve-workaround-for-GtkGrid-bug.patch,
    debian/patches/gtkaboutdialog-support-showing-buttons-in-action-are.patch,
    debian/patches/gtkdialog-don-t-use-csd-when-use-header-bar-is-FALSE.patch,
    debian/patches/ubuntu_label_wrap_workaround.patch,
    debian/patches/ubuntu_translation_template.patch,
    debian/patches/use-secrets-service-for-cups-auth_info.patch:
    - dropped, included in the new release

