=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Dmitry Shachnev <mitya57@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                gnome-pkg-tools (>= 0.11),
@@ -14,7 +15,7 @@
                autotools-dev,
                dbus-x11,
                gsettings-desktop-schemas,
-               adwaita-icon-theme,
+               adwaita-icon-theme (>= 3.14.0-2ubuntu7~),
                at-spi2-core,
                libglib2.0-dev (>= 2.41.2),
                libgdk-pixbuf2.0-dev (>= 2.30.0),
@@ -44,7 +45,8 @@
                libjson-glib-dev,
                gobject-introspection (>= 1.41.3),
                libgirepository1.0-dev (>= 1.39.0),
-               xvfb
+               xvfb,
+               libmirclient-dev (>= 0.9.0) [amd64 arm64 armhf i386],
 Build-Depends-Indep: docbook-xml,
                      docbook-utils,
                      libglib2.0-doc,
@@ -52,8 +54,7 @@
                      libpango1.0-doc,
                      libcairo2-doc
 Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+3.0/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+3.0/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
 Homepage: http://www.gtk.org/
 XS-Testsuite: autopkgtest
 
@@ -105,7 +106,7 @@
 Section: misc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, adwaita-icon-theme (>= ${gnome:Version})
+Depends: ${misc:Depends}
 Recommends: libgtk-3-0
 Breaks: libgtk-3-0 (<< 3.5.4)
 Replaces: libgtk-3-0 (<< 3.5.4)
@@ -159,7 +160,8 @@
          libxdamage-dev,
          pkg-config (>= 0.26-1),
          libwayland-dev (>= 1.4.0) [linux-any],
-         libxkbcommon-dev
+         libxkbcommon-dev,
+         libmirclient-dev [amd64 arm64 armhf i386],
 Suggests: libgtk-3-doc
 Description: development files for the GTK+ library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -174,6 +176,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libgtk-3-0 (= ${binary:Version}),
          libgtk-3-common,
          ${misc:Depends}
