=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
 DEB_MAKE_FLAVORS = shared shared_udeb
 DISABLE_UPDATE_UPLOADERS = 1
+DEB_BUILD_PARALLEL = yes
 
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -74,6 +75,10 @@
 			--enable-cloudprint \
 			--disable-static
 
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386))
+	DEB_CONFIGURE_FLAGS_shared += --enable-mir-backend
+endif
+
 ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 DEB_CONFIGURE_FLAGS_shared += --enable-colord
 else
@@ -89,6 +94,7 @@
 DEB_CONFIGURE_FLAGS_shared_udeb = \
 			--disable-broadway-backend \
 			--disable-wayland-backend \
+			--disable-mir-backend \
 			--enable-x11-backend \
 			--disable-introspection \
 			--disable-cloudprint \
@@ -167,6 +173,8 @@
 	# Install the binaries with a -3.0 suffix
 	mv debian/$(SHARED_PKG)/$(LIBDIR)/$(SHARED_PKG)/gtk-update-icon-cache \
 	    debian/$(SHARED_PKG)/$(LIBDIR)/$(SHARED_PKG)/gtk-update-icon-cache-3.0
+	# Install custom settings
+	install -D debian/settings.ini debian/$(SHARED_PKG)/$(CONFDIR)/settings.ini
 
 binary-install/$(BIN_PKG)::
 	# Install the binaries with a -3.0 suffix
