## gtk+3.0 3.14.13

=== debian/changelog ===
gtk+3.0 (3.14.13-0ubuntu1) vivid; urgency=medium

  * Update Vcs-Bzr for vivid stable branch
  * New upstream release 3.14.13 (LP: #1449461), fixing bugs:
    + most horizontal sliders are inverted when scrolled with wheel (LP:
      #1443774)
    + CSD: can't open window menu using right click after moving window
    + Popovers inside local plugs don't get size_allocate() called
    + Split Headerbar unmaximize
    + GtkMessageDialog: Minor documentation update
    + GdkOffscreenWindow should not segfault on gdk_window_beep()
    + GtkApplication: Prevent more crashes on shutdown
  * d/p/0001-GtkApplication-Prevent-more-crashes-around-shutdown.patch:
    Dropped, this is fixed upstream in this release.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 28 Apr 2015 11:48:16 +0100
