=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
                      libpango1.0-doc,
                      libcairo2-doc
 Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3vivid
 Homepage: http://www.gtk.org/
 XS-Testsuite: autopkgtest
